### Method

# Pos VkDriver set_keymap_symbols

#### Declaration [src]

    void
    pos_vk_driver_set_keymap_symbols (
      PosVkDriver* self,
      const char* layout_id,
      const char* const* symbols
    )

#### Description [src]

Generates and installs a keymap based on the given symbols.

#### Parameters

`layout_id`

  Type: `const char*`

  The layout_id that identifies this keymap.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`symbols`

  Type: `const char* const*`

  The symbols for the keymap.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.